Subject: Re: [mpls] doubt about RFC6378.

From: "Eric Osborne (eosborne)" <[email-masked]>
Date: Fri, 8 Feb 2013 13:47:27 +0000

Hi BoBo, WG-

  Last time I touched this thread I mentioned some pending changes which would address a few issues in PSC.  I have just posted draft-osborne-psc-updates-00.txt.  I plan to present it in Orlando, and I welcome comments and feedback either at or prior to the meeting.

thanks!

eric

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of ???
> Sent: Thursday, January 17, 2013 8:30 PM
> To: [email-masked]
> Subject: [mpls] doubt about RFC6378.
> 
> 
> 
> (hi,eric and yaacov,i don't know why i can't reply the topic that we discussed
> before---" in some scenario RFC6378 can not protect the traffic, so much as
> take the PSC state to crash". and i have to create a new topic to continue the
> discussion.the latest discussion records is here http://www.ietf.org/mail-
> archive/web/mpls/current/msg09367.html
> the following is my latest reply,and if figures can not be displayed normally,
> please see the attach file.)
> 
> yes,it will fix some bugs in PSC,compare the following 2 figures.
> in figure4.when LER1 receive peer's FS PSC msg,according to RFC6378,LER1
> will send NR to LER2,and when clear command input into LER2,LER2 will
> transfer into NORMAL state and switch traffic to work path,but LER1's traffic
> still on protection path. so traffic is broken.when the NR reach LER1,LER1
> reevaluate all inputs and transfer info PA:M:L,keep traffic on protection and
> send MS to LER2.when MS reach LER2,the traffic is restored.
> 
> in figure5,LER1 will still send his local highest priority condition (in this
> example,it is MS) to peer when receive FS from LER2.and when clear command
> input into LER2,LER2 will transfer info PA:M:R and keep traffic on protection
> path and never be broken.
> 
> i think simple is beautiful.
> 
> 
>                           +------+                         +------+
>                           | LER1 |                         | LER2 |
>                           +---+--+                         +---+--+
>                          N    +----------NR------------------->|  N
>                               |                                |
>                               |                                |
>                               |<---------NR--------------------+
>        local MS command input |                                |
>                               |                                |
>                      PA:M:L   +-----------MS------------------>|  PA:M:R
>                               |                                |
>                               |                                |
>                               |<---------NR--------------------+
>                               |                                |  local FS command input
>                               |                                |
>                        PA:F:R |<---------FS--------------------+ PA:F:L
>                               |                                |
>                               |                                |
>                               +-------NR---------------------->|
>                               |                                |
>                               |                                |
>                               |                                | local clear input,transfer info
>                               |<---------NR--------------------+ N, switch traffic to work path.
>                               |                                |  traffic is broken
>                               |                                |
>                               |                                |
>    reevaluate all input and   |                                |
>    transfer info   PA:M:L     +----------MS------------------->|PA:M_R
>  keep traffic on protection   |                                |LER2 will switch traffic to
>        path                   |                                |protection path,traffic is restored.
>                               |                                |
>                               |<-----------NR------------------+
>                               |                                |
>                               |                                |
> 
>             figure 4:send NR to reaction when peer is higher priority will make
> traffic broken accidentally
> 
> 
>                           +------+                         +------+
>                           | LER1 |                         | LER2 |
>                           +---+--+                         +---+--+
>                          N    +----------NR------------------->|  N
>                               |                                |
>                               |                                |
>                               |<---------NR--------------------+
>        local MS command input |                                |
>                               |                                |
>                      PA:M:L   +-----------MS------------------>|  PA:M:R
>                               |                                |
>                               |                                |
>                               |<---------NR--------------------+
>                               |                                |  local FS command input
>                               |                                |
>                        PA:F:R |<---------FS--------------------+ PA:F:L
>                               |                                |
>                               |                                |
>                               +-------MS---------------------->|
>                               |                                |
>                               |                                |
>                               |                                | local clear input,reevaluate all input
>                               |<---------NR--------------------+ transfer info PA:M:R keep
> traffic on
>                               |                                |  protection path.
>                               |                                |
>    reevaluate all input and   |                                |
>    transfer info  PA:M:L      +----------MS------------------->|PA:M_R
>  keep traffic on protection   |                                |
>        path                   |                                |
>                               |                                |
>                               |<-----------NR------------------+
>                               |                                |
>                               |                                |
> 
> 
>             figure 5:always send local highest priority condition to peer,will never
> broken traffic accidentally
> 
> 
> Best Regards!
> 
> Junbo Zeng(BoBo)
> 
> 
>

---

From: Loa Andersson <[email-masked]>
Date: Sat, 09 Feb 2013 10:48:56 +0100

Eric,

I take it that draft-osborne-psc-updates-00.txt is intended for
the mpls working group. To make it show up on the working group
home page can you please re-publish it as
draft-osborne-mpls-psc-updates-00.txt.

/Loa

On 2013-02-08 14:47, Eric Osborne (eosborne) wrote:
> Hi BoBo, WG-
>
>    Last time I touched this thread I mentioned some pending

changes which would address a few issues in PSC.  I have just

posted draft-osborne-psc-updates-00.txt.  I plan to present it

in Orlando, and I welcome comments and feedback either at or prior to 
the meeting.
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

-- 

Loa Andersson                        email: [email-masked]
MPLS Expert                                 [email-masked]
Huawei Technologies (consult)        phone: +46 739 81 21 64

---

From: "Eric Osborne (eosborne)" <[email-masked]>
Date: Mon, 11 Feb 2013 14:57:21 +0000

Done.  Sorry about that.  
draft-osborne-mpls-psc-updates-00, publication date February 11, 2013.  No other changes.

eric

> From: Loa Andersson [mailto:[email-masked]]
> Sent: Saturday, February 09, 2013 4:49 AM
> To: Eric Osborne (eosborne)
> Cc: 曾峻波; [email-masked]
> Subject: naming drafts - Was (Re: [mpls] doubt about RFC6378.)
> 
> Eric,
> 
> I take it that draft-osborne-psc-updates-00.txt is intended for the mpls working
> group. To make it show up on the working group home page can you please re-
> publish it as draft-osborne-mpls-psc-updates-00.txt.
> 
> /Loa
> 
> in Orlando, and I welcome comments and feedback either at or prior to the
> meeting.
> >
> > thanks!
> >
> >
> >
> >
> >
> > eric
> >
> >
> >
> >> (hi,eric and yaacov,i don't know why i can't reply the topic that we
> >> discussed before---" in some scenario RFC6378 can not protect the
> >> traffic, so much as take the PSC state to crash". and i have to
> >> create a new topic to continue the discussion.the latest discussion
> >> records is here http://www.ietf.org/mail-
> >> the following is my latest reply,and if figures can not be displayed
> >> normally, please see the attach file.)
> >>
> >> in figure4.when LER1 receive peer's FS PSC msg,according to
> >> RFC6378,LER1 will send NR to LER2,and when clear command input into
> >> LER2,LER2 will transfer into NORMAL state and switch traffic to work
> >> path,but LER1's traffic still on protection path. so traffic is
> >> broken.when the NR reach LER1,LER1 reevaluate all inputs and transfer
> >> info PA:M:L,keep traffic on protection and send MS to LER2.when MS reach
> LER2,the traffic is restored.
> >>
> >> in figure5,LER1 will still send his local highest priority condition
> >> (in this example,it is MS) to peer when receive FS from LER2.and when
> >> clear command input into LER2,LER2 will transfer info PA:M:R and keep
> >> traffic on protection path and never be broken.
> >>
> >>              figure 4:send NR to reaction when peer is higher
> >> priority will make traffic broken accidentally
> >>
> >>
> >>                            +------+                         +------+
> >>                            | LER1 |                         | LER2 |
> >>                            +---+--+                         +---+--+
> >> transfer info PA:M:R keep traffic on
> >>                                |                                |  protection path.
> >>                                |                                |
> >>              figure 5:always send local highest priority condition to
> >> peer,will never broken traffic accidentally
> >>
> >>
> >> Best Regards!
> >>
> >> Junbo Zeng(BoBo)
> >>
> >>
> >>